/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#include "ChInfoOptions.h"

static asn_TYPE_member_t asn_MBR_ChInfoOptions_1[] = {
	{ ATF_POINTER, 8, offsetof(struct ChInfoOptions, option1),
		(ASN_TAG_CLASS_CONTEXT | (0 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option1"
		},
	{ ATF_POINTER, 7, offsetof(struct ChInfoOptions, option2),
		(ASN_TAG_CLASS_CONTEXT | (1 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option2"
		},
	{ ATF_POINTER, 6, offsetof(struct ChInfoOptions, option3),
		(ASN_TAG_CLASS_CONTEXT | (2 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option3"
		},
	{ ATF_POINTER, 5, offsetof(struct ChInfoOptions, option4),
		(ASN_TAG_CLASS_CONTEXT | (3 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option4"
		},
	{ ATF_POINTER, 4, offsetof(struct ChInfoOptions, option5),
		(ASN_TAG_CLASS_CONTEXT | (4 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option5"
		},
	{ ATF_POINTER, 3, offsetof(struct ChInfoOptions, option6),
		(ASN_TAG_CLASS_CONTEXT | (5 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option6"
		},
	{ ATF_POINTER, 2, offsetof(struct ChInfoOptions, option7),
		(ASN_TAG_CLASS_CONTEXT | (6 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_NULL,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"option7"
		},
	{ ATF_POINTER, 1, offsetof(struct ChInfoOptions, extensions),
		(ASN_TAG_CLASS_CONTEXT | (7 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_ChannelInfoExts,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"extensions"
		},
};
static const int asn_MAP_ChInfoOptions_oms_1[] = { 0, 1, 2, 3, 4, 5, 6, 7 };
static const ber_tlv_tag_t asn_DEF_ChInfoOptions_tags_1[] = {
	(ASN_TAG_CLASS_UNIVERSAL | (16 << 2))
};
static const asn_TYPE_tag2member_t asn_MAP_ChInfoOptions_tag2el_1[] = {
    { (ASN_TAG_CLASS_CONTEXT | (0 << 2)), 0, 0, 0 }, /* option1 */
    { (ASN_TAG_CLASS_CONTEXT | (1 << 2)), 1, 0, 0 }, /* option2 */
    { (ASN_TAG_CLASS_CONTEXT | (2 << 2)), 2, 0, 0 }, /* option3 */
    { (ASN_TAG_CLASS_CONTEXT | (3 << 2)), 3, 0, 0 }, /* option4 */
    { (ASN_TAG_CLASS_CONTEXT | (4 << 2)), 4, 0, 0 }, /* option5 */
    { (ASN_TAG_CLASS_CONTEXT | (5 << 2)), 5, 0, 0 }, /* option6 */
    { (ASN_TAG_CLASS_CONTEXT | (6 << 2)), 6, 0, 0 }, /* option7 */
    { (ASN_TAG_CLASS_CONTEXT | (7 << 2)), 7, 0, 0 } /* extensions */
};
static asn_SEQUENCE_specifics_t asn_SPC_ChInfoOptions_specs_1 = {
	sizeof(struct ChInfoOptions),
	offsetof(struct ChInfoOptions, _asn_ctx),
	asn_MAP_ChInfoOptions_tag2el_1,
	8,	/* Count of tags in the map */
	asn_MAP_ChInfoOptions_oms_1,	/* Optional members */
	8, 0,	/* Root/Additions */
	-1,	/* Start extensions */
	-1	/* Stop extensions */
};
asn_TYPE_descriptor_t asn_DEF_ChInfoOptions = {
	"ChInfoOptions",
	"ChInfoOptions",
	SEQUENCE_free,
	SEQUENCE_print,
	SEQUENCE_constraint,
	SEQUENCE_decode_ber,
	SEQUENCE_encode_der,
	SEQUENCE_decode_xer,
	SEQUENCE_encode_xer,
	SEQUENCE_decode_uper,
	SEQUENCE_encode_uper,
	0,	/* Use generic outmost tag fetcher */
	asn_DEF_ChInfoOptions_tags_1,
	sizeof(asn_DEF_ChInfoOptions_tags_1)
		/sizeof(asn_DEF_ChInfoOptions_tags_1[0]), /* 1 */
	asn_DEF_ChInfoOptions_tags_1,	/* Same as above */
	sizeof(asn_DEF_ChInfoOptions_tags_1)
		/sizeof(asn_DEF_ChInfoOptions_tags_1[0]), /* 1 */
	0,	/* No PER visible constraints */
	asn_MBR_ChInfoOptions_1,
	8,	/* Elements count */
	&asn_SPC_ChInfoOptions_specs_1	/* Additional specs */
};

